Bug 108890 - UI: "Format" button in outline/chapter numbering dialog not self-explanatory
Summary: UI: "Format" button in outline/chapter numbering dialog not self-explanatory
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Chapter-Numbering-Dialog
  Show dependency treegraph
 
Reported: 2017-07-01 20:28 UTC by Thomas Lendo
Modified: 2018-09-23 20:44 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-07-01 20:28:21 UTC
Agreeing with Regina in bug 83071 comment 28, I'm opening this bug to ask for a better wording for Tools > Outline/Chapter numbering > Format.

Online help page https://help.libreoffice.org/index.php?title=Writer/Outline_Numbering&Language=en-US&System=UNIX&Version=6.0#bm_id3154191 says:
"Saves or loads an outline number format. A saved outline number format is available to all text documents."

I never thought (before Regina's explanation) that this saves a the format in a file in the user directory. This also isn't explained in the help.
Comment 1 Thomas Lendo 2018-09-06 07:24:06 UTC
Adding needsUXEval, maybe the UX team find a better name.
Comment 2 Heiko Tietze 2018-09-08 07:54:15 UTC
How about "Style"? Or just remove the button/feature.
Comment 3 Thomas Lendo 2018-09-08 08:51:56 UTC
Hm, I wouldn't mind it's making with our popular style feature for paragraphs, lists, etc. but it saves some kind of style too. I prefer "formatting" but in combination with "save" it's too long. Maybe "Save style" to go with the usual verb-noun menu item structure? I know that you also can load a formatting with this dialog ...
Comment 4 Regina Henschel 2018-09-08 20:37:37 UTC
(In reply to Heiko Tietze from comment #2)
> Or just remove the button/feature.

This is the only way to make an user defined chapter numbering style available for other documents. Therefore you need to implement a different way for this, before you can remove the button.
Comment 5 Heiko Tietze 2018-09-13 08:52:45 UTC
(In reply to Thomas Lendo from comment #3)
> Maybe "Save style" to go with the usual verb-noun menu item structure? 

Isn't this dropdown also used for loading?
Comment 6 Regina Henschel 2018-09-13 11:22:09 UTC
Yes, to load an outline-style, click on its name in the list.
Comment 7 Cor Nouws 2018-09-13 13:45:34 UTC
So the choice is between "Format" and "Style" ?
Which one explains better (?) what it does..
Comment 8 Heiko Tietze 2018-09-13 15:29:30 UTC
(In reply to Cor Nouws from comment #7)
> So the choice is between "Format" and "Style" ?
> Which one explains better (?) what it does..

Template, Preset, User-defined... there are some more options. The ultimate explanation should be in the help.
Comment 9 Regina Henschel 2018-09-13 16:14:08 UTC
Why not "Load/Save..."? That is the essence of that feature.
Comment 10 Thomas Lendo 2018-09-14 11:31:25 UTC
(In reply to Regina Henschel from comment #9)
> Why not "Load/Save..."? That is the essence of that feature.
This is a good idea and better than 'Format(ting)' or 'Style' which I don't like. But is in HIG a noun required for a button naming like this?
Comment 11 Cor Nouws 2018-09-19 15:08:33 UTC
Load/Save is explaining best what it does, IMO
Comment 12 Heiko Tietze 2018-09-19 18:30:23 UTC
So let's go with Load/Save (without ellipsis). Taking...
Comment 13 Commit Notification 2018-09-23 16:59:55 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e1d531002e74fe6cd144366bcfdcb77b94f8990

tdf#108890 - "Format" in outline/chapter dialog not self-explanatory

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2018-09-23 20:43:24 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=62663ccf7345309232e37fdb6d08f0f0b6f595c4

tdf#108890 Chapter Numbering button “Format” renamed “Load/Save”
Comment 15 Adolfo Jayme 2018-09-23 20:44:35 UTC
↑ The above help patch will be reflected soon in https://help.libreoffice.org/6.2/en-US/text/swriter/01/06060000.html